=== debian/control ===
Source: ros-humble-mcap-vendor
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), git, ros-humble-ament-cmake, ros-humble-zstd-vendor, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-mcap-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-zstd-vendor, ros-humble-ros-workspace
Description: mcap vendor package
