## ros-humble-mcap-vendor 0.15.12

=== debian/changelog ===
ros-humble-mcap-vendor (0.15.12-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-mcap-vendor (0.15.11-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-mcap-vendor (0.15.10-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-mcap-vendor (0.15.9-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-mcap-vendor (0.15.8-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-mcap-vendor (0.15.7-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-mcap-vendor (0.15.6-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-mcap-vendor (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-mcap-vendor (0.15.4-1bookworm) bookworm; urgency=high

  * [backport humble #1208 <https://github.com/ros2/rosbag2/issues/1208>] Fixes policy CMP0135 warning for CMake >= 3.24 for mcap_vendor (#1227 <https://github.com/ros2/rosbag2/issues/1227>)
  * mcap_vendor: only install public headers (backport #1207 <https://github.com/ros2/rosbag2/issues/1207>) (#1214 <https://github.com/ros2/rosbag2/issues/1214>)
  * rosbag2_storage_mcap: fix rosbag2_cpp tests (#1205 <https://github.com/ros2/rosbag2/issues/1205>)
  * Use mcap tarball rather than git clone (#1200 <https://github.com/ros2/rosbag2/issues/1200>)
  * [Humble backport] rosbag2_storage_mcap: merge into rosbag2 repo (#1163 <https://github.com/ros2/rosbag2/issues/1163>) (#1189 <https://github.com/ros2/rosbag2/issues/1189>)
  * Contributors: Michael Carroll, james-rms, mergify[bot]

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-mcap-vendor (0.6.0-1bookworm) bookworm; urgency=high

  * Fix Windows build (#73 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/73>)
    Update mcap version to newest windows-compatible release.
    Add visibility macros for tests.
    Add clang-format preprocessor indentation for visibility_control to be readable.
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 27 Nov 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.5.0-1bookworm) bookworm; urgency=high

  * mcap_vendor: update to v0.6.0 (#69 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/69>)
  * Cleanup in mcap_vendor package (#62 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/62>)
  * Switch to using the vendored zstd library. (#59 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/59>)
  * Contributors: Chris Lalancette, Michael Orlov, James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 01 Nov 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.4.0-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 05 Oct 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.2.0-1bookworm) bookworm; urgency=high

  * Support timestamp-ordered playback (#50 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/50>)
  * Support regex topic filtering
  * Contributors: James Smith

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 07 Sep 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.1.7-1bookworm) bookworm; urgency=high

  * Add all lz4 sources to fix undefined symbols at runtime (#46 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/46>)
  * Contributors: Emerson Knapp

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 14 Aug 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.1.6-1bookworm) bookworm; urgency=high

  * Upgrade mcap to fix LZ4 error and segfault (#42 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/42>)
    Incorporates fixes from https://github.com/foxglove/mcap/pull/478 and https://github.com/foxglove/mcap/pull/482
  * Add missing buildtool_depend on git (#37 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/37>)
    This vendor package uses git to fetch sources for other packages. It should declare a dependency on that build tool.
    This should address the current cause of RPM build failures for RHEL: https://build.ros2.org/view/Rbin_rhel_el864/job/Rbin_rhel_el864__mcap_vendor__rhel_8_x86_64__binary/
  * Contributors: Jacob Bandes-Storch, Scott K Logan

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 21 Jul 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.1.5-1bookworm) bookworm; urgency=high

  * Test Foxy & Galactic in CI, fix missing test_depends in mcap_vendor/package.xml (#33 <https://github.com/ros-tooling/rosbag2_storage_mcap/issues/33>)
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Sun, 24 Apr 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.1.4-1bookworm) bookworm; urgency=high

  * fix: minor issues (#31 <https://github.com/wep21/rosbag2_storage_mcap/issues/31>)
    * remove unnecessary block
    * use target_link_libraries instead of ament_target_dependencies
    * remove ros environment
    * add prefix to compile definition
  * Update email address for Foxglove maintainers (#32 <https://github.com/wep21/rosbag2_storage_mcap/issues/32>)
  * Contributors: Daisuke Nishimatsu, Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 20 Apr 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.1.3-1bookworm) bookworm; urgency=high



 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 19 Apr 2022 16:00:00 -0000

ros-humble-mcap-vendor (0.1.2-1bookworm) bookworm; urgency=high


