=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
 		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
+		-DFETCHCONTENT_FULLY_DISCONNECTED:BOOL=OFF \
 		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
@@ -57,7 +58,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-mcap-vendor//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-mcap-vendor//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-mcap-vendor//opt/ros/humble/opt/mcap_vendor/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
